package com.zhyc.module.biosafety.service;

import java.util.List;

import com.zhyc.module.biosafety.domain.SwMedicine;

/**
 * 药品Service接口
 * 
 * @author ruoyi
 * @date 2025-07-11
 */
public interface ISwMedicineService 
{
    /**
     * 查询药品
     * 
     * @param id 药品主键
     * @return 药品
     */
    public SwMedicine selectSwMedicineById(Long id);

    /**
     * 查询药品列表
     * 
     * @param swMedicine 药品
     * @return 药品集合
     */
    public List<SwMedicine> selectSwMedicineList(SwMedicine swMedicine);

    /**
     * 新增药品
     * 
     * @param swMedicine 药品
     * @return 结果
     */
    public int insertSwMedicine(SwMedicine swMedicine);

    /**
     * 修改药品
     * 
     * @param swMedicine 药品
     * @return 结果
     */
    public int updateSwMedicine(SwMedicine swMedicine);

    /**
     * 批量删除药品
     * 
     * @param ids 需要删除的药品主键集合
     * @return 结果
     */
    public int deleteSwMedicineByIds(Long[] ids);

    /**
     * 删除药品信息
     * 
     * @param id 药品主键
     * @return 结果
     */
    public int deleteSwMedicineById(Long id);
}
